com.pixelmed.dicom

## Class ContentItemFactory.UnrecognizedContentItem

- java.lang.Object
- - com.pixelmed.dicom.ContentItem
  - - com.pixelmed.dicom.ContentItemWithValue
    - - com.pixelmed.dicom.ContentItemFactory.UnrecognizedContentItem

- All Implemented Interfaces:
    javax.swing.tree.TreeNode
  Enclosing class:
    ContentItemFactory

      public class ContentItemFactory.UnrecognizedContentItem
      extends ContentItemWithValue

- - ### Field Summary

    - ### Fields inherited from class com.pixelmed.dicom.ContentItemWithValue

      `conceptName, referencedContentItemIdentifier, valueType`

    - ### Fields inherited from class com.pixelmed.dicom.ContentItem

      `relationshipType`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `UnrecognizedContentItem(ContentItem parent)`
    `UnrecognizedContentItem(ContentItem parent, AttributeList list)`
    `UnrecognizedContentItem(ContentItem parent, AttributeList list, java.lang.String valueType)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getConceptValue()` Get a string representation of the value of the concept.

    - ### Methods inherited from class com.pixelmed.dicom.ContentItemWithValue

      `contentItemNameMatchesCodeValueAndCodingSchemeDesignator, getConceptName, getConceptNameAndValue, getConceptNameCodeMeaning, getConceptNameCodeValue, getConceptNameCodingSchemeDesignator, getValueType, toString`

    - ### Methods inherited from class com.pixelmed.dicom.ContentItem

      `addChild, addSibling, children, contentItemNameMatchesCodeValueAndCodingSchemeDesignator, getAllowsChildren, getAttributeList, getChildAt, getChildCount, getGraphicData, getGraphicType, getIndex, getNamedChild, getNamedChild, getParent, getParentAsContentItem, getPositionInTreeToUseAsReferencedContentItemIdentifier, getReferencedContentItemIdentifier, getReferencedContentItemIdentifierArray, getReferencedSOPClassUID, getReferencedSOPInstanceUID, getRelationshipType, getSingleStringValueOrNull, getSingleStringValueOrNullOfNamedChild, getSingleStringValueOrNullOfNamedChild, isLeaf`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### UnrecognizedContentItem

          public UnrecognizedContentItem(ContentItem parent)

      Parameters:
        `parent` - parent content item to add to

    - #### UnrecognizedContentItem

          public UnrecognizedContentItem(ContentItem parent,
                                         AttributeList list)

      Parameters:
        `parent` - parent content item to add to
        `list` - the list of attributes for this content item

    - #### UnrecognizedContentItem

          public UnrecognizedContentItem(ContentItem parent,
                                         AttributeList list,
                                         java.lang.String valueType)

      Parameters:
        `parent` - parent content item to add to
        `list` - the list of attributes for this content item
        `valueType` - the valueType encoded for the content item (is discarded)

  - ### Method Detail

    - #### getConceptValue

          public java.lang.String getConceptValue()

      Description copied from class: `ContentItemWithValue`

      Get a string representation of the value of the concept.

      The exact form of the returned string is specific to the type of ContentItem.

      Specified by:
        `getConceptValue` in class `ContentItemWithValue`
      Returns:
        a String representation of the name and value, or an empty string